Bug 97999 - (IDE TAPE)kernel 2.4.20.x.x bug
(IDE TAPE)kernel 2.4.20.x.x bug
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i386 Linux
high Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-25 07:14 EDT by Paolo Bernardoni
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paolo Bernardoni 2003-06-25 07:14:29 EDT
Description of problem:
up to kernel 2.4.18-27.7.x On-Stream ide tape runs correctly. From kernel 
version 2.4.20-* and above On-Stream ide tape does not run.


Version-Release number of selected component (if applicable):
all kernel version 2.4.20-x.x

How reproducible:


Steps to Reproduce:
1. tar tvbf 60 /dev/ht0 /path...
2.
3.
    
Actual results:
errore message:
[root@nfs proc]# hdc: irq timeout: status=0xd8 { Busy }
hdc: ATAPI reset complete

here some messages from /var/log/mesages
Jun 24 15:13:13 nfs  -- root[978]: ROOT LOGIN ON tty2
Jun 24 15:13:40 nfs kernel: hdc: irq timeout: status=0xd8 { Busy }
Jun 24 15:13:40 nfs kernel: hdc: ATAPI reset complete

Expected results:

tar command run ok

Additional info:

loaded modules
 
Module                  Size  Used by    Not tainted
nfsd                   76832   8  (autoclean)
lockd                  56832   1  (autoclean) [nfsd]
sunrpc                 76948   1  (autoclean) [nfsd lockd]
autofs                 11844   0  (autoclean) (unused)
8139too                17024   1
mii                     3976   0  [8139too]
ipt_REJECT              4032   1  (autoclean)
iptable_filter          2560   1  (autoclean)
ip_tables              13952   2  [ipt_REJECT iptable_filter]
ide-tape               46080   2  (autoclean)
ext3                   66592   5
jbd                    47596   5  [ext3]
DAC960                 64224   6
sd_mod                 12828   0  (unused)
scsi_mod              107548   1  [sd_mod]


cat /proc/pci
PCI devices found:
  Bus  0, device   0, function  0:
    Host bridge: Intel Corp. 440BX/ZX/DX - 82443BX/ZX/DX Host bridge (rev 3).
      Master Capable.  Latency=64.
      Prefetchable 32 bit memory at 0xfb000000 [0xfbffffff].
  Bus  0, device   1, function  0:
    PCI bridge: Intel Corp. 440BX/ZX/DX - 82443BX/ZX/DX AGP bridge (rev 3).
      Master Capable.  Latency=64.  Min Gnt=136.
  Bus  0, device   7, function  0:
    ISA bridge: Intel Corp. 82371AB/EB/MB PIIX4 ISA (rev 2).
  Bus  0, device   7, function  1:
    IDE interface: Intel Corp. 82371AB/EB/MB PIIX4 IDE (rev 1).
      Master Capable.  Latency=64.
      I/O at 0xffa0 [0xffaf].
  Bus  0, device   7, function  2:
    USB Controller: Intel Corp. 82371AB/EB/MB PIIX4 USB (rev 1).
      Master Capable.  Latency=64.
      I/O at 0xef80 [0xef9f].
  Bus  0, device   7, function  3:
    Bridge: Intel Corp. 82371AB/EB/MB PIIX4 ACPI (rev 2).
      IRQ 9.
  Bus  0, device  18, function  0:
    RAID bus controller: Mylex Corporation AcceleRAID 352/170/160 support 
Device (rev 2).
      IRQ 11.
      Master Capable.  Latency=64.
      Prefetchable 32 bit memory at 0xfc000000 [0xfdffffff].
  Bus  0, device  20, function  0:
    Ethernet controller: Realtek Semiconductor Co., Ltd. RTL-8139/8139C/8139C+ 
(rev 16).
      IRQ 10.
      Master Capable.  Latency=64.  Min Gnt=32.Max Lat=64.
      I/O at 0xe800 [0xe8ff].
      Non-prefetchable 32 bit memory at 0xffaf7f00 [0xffaf7fff].
  Bus  1, device   0, function  0:
    VGA compatible controller: ATI Technologies Inc 3D Rage IIC AGP (rev 122).
      IRQ 10.
      Master Capable.  Latency=64.  Min Gnt=8.
      Prefetchable 32 bit memory at 0xf7000000 [0xf7ffffff].
      I/O at 0xd800 [0xd8ff].
Comment 1 Bugzilla owner 2004-09-30 11:41:12 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.